import { Component, OnInit } from '@angular/core';
import { FormBuilder, FormGroup, NgForm, Validators } from '@angular/forms';

@Component({
  selector: 'app-account',
  templateUrl: './account.component.html',
  styleUrls: ['./account.component.css'],
})
export class AccountComponent implements OnInit {
  public userForm: FormGroup;
  public showMessage = false;
  public invalidEntry = 'Invalid Entry';

  username = '';
  email: string;
  nickname: string;
  password: string;

  constructor(private formbuilder: FormBuilder) {}

  ngOnInit(): void {
    this.userForm = this.formbuilder.group({
      firstName: ['', [Validators.required, Validators.pattern('^[a-zA-Z]+$')]],
      lastName: ['', [Validators.required, Validators.pattern('^[a-zA-Z]+$')]],
      email: [
        '',
        [
          Validators.required,
          Validators.pattern(
            '[a-zA-Z0-9.-_]{1,}@[a-zA-Z.-]{2,}[.]{1}[a-zA-Z]{2,}'
          ),
        ],
      ],
    });
    // this.userForm.errors
  }

  onSubmit(): void {
    if (this.userForm.valid) {
      alert('User form is valid!');
    } else {
      alert('User form is invalid');
    }
  }

  onSubmit1(): void {
    if (this.userForm.valid) {
      this.showMessage = true;
    }
  }

  onSubmit2(form: NgForm): void {
    if (form.valid) {
      console.log(form.value);
    }
  }
}
