import { Component, OnInit } from '@angular/core';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';

@Component({
  selector: 'app-contact',
  templateUrl: './contact.component.html',
  styleUrls: ['./contact.component.css'],
})
export class ContactComponent implements OnInit {
  public contactForm: FormGroup;
  public submitStatus = 0;
  public successMessage = 'Recevied! Thanks for reaching out!';
  public failedMessage =
    "We're sorry, there seems to be something wrong with your info. Make sure all of the fields are filled out and that your email is valid";

  constructor(private formbuilder: FormBuilder) {}

  ngOnInit(): void {
    this.contactForm = this.formbuilder.group({
      firstName: ['', [Validators.required]],
      lastName: ['', [Validators.required]],
      email: ['', [Validators.required, Validators.email]],
    });
  }

  onSubmit(): void {
    if (this.contactForm.valid) {
      this.submitStatus = 1;
    } else {
      this.submitStatus = 2;
    }
  }
}
